<? $i = 1; ?>

<? if ($this->data): ?>
	<div id="posts">
		<? foreach ($this->data as $data): ?>
			<div class="post" style="margin-right: 0;">
				<div class="fleft">
					<div class="title-wrap">
						<a href="<?= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?>" class="title"><?= $data->title ? $data->title : $data->title_en ?></a>
						<div>
							<?= __('posted_on') ?> <?= $this->getMonth(date('n', $data->date), $this->lang(), TRUE) ?> <?= date('d, Y', $data->date) ?>	- <?= date('H:i', $data->date) ?>
						</div>
					</div>

					<div class="text"><?= $data->short_post ? $data->short_post : $data->short_post_en ?></div>
				</div>
				<div class="image">
					<img src="<?= $data->photo->getUrl('blog') ?>" width="199" height="234" />
				</div>

				<div class="banner">
					<a href="/">
						<img src="<?= _st('banners/ei_' . $i . '.gif') ?>" />
					</a>
				</div>

				<? $i++; if ($i == 4) $i = 1; ?>

				<div class="clear"></div>
				<div class="show-more-wrap">
					<a href="<?= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?>" class="show-more"><?= __('read_more') ?></a>
				</div>
				<div class="clear"></div>
			</div>
		<? endforeach; ?>

		<? if ($this->others && !$this->search): ?>
			<div class="no-posts"><div class="no-posts"><?= __('no_posts_in_month_2') ?></div></div>

			<? foreach ($this->others as $data): ?>
				<div class="post" style="margin-right: 0;">
					<div class="fleft">
						<div class="title-wrap">
							<a href="<?= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?>" class="title"><?= $data->title ? $data->title : $data->title_en ?></a>
							<div>
								<?= __('posted_on') ?> <?= $this->getMonth(date('n', $data->date), $this->lang(), TRUE) ?> <?= date('d, Y', $data->date) ?>	- <?= date('H:i', $data->date) ?>
							</div>
						</div>

						<div class="text"><?= $data->short_post ? $data->short_post : $data->short_post_en ?></div>
					</div>
					<div class="image">
						<img src="<?= $data->photo->getUrl('blog') ?>" width="199" height="234" />
					</div>

					<div class="banner">
						<a href="/">
							<img src="<?= _st('banners/ei_' . $i . '.gif') ?>" />
						</a>
					</div>

					<? $i++; if ($i == 4) $i = 1; ?>

					<div class="clear"></div>
					<div class="show-more-wrap">
						<a href="<?= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?>" class="show-more"><?= __('read_more') ?></a>
					</div>
					<div class="clear"></div>
				</div>
			<? endforeach; ?>
		<? endif; ?>
	</div>

	<? $pages_count = ceil($this->count / $this->per_page); ?>
	<? if ($pages_count != 1): ?>
		<div class="clear"></div>
		<div class="paging-list">
			<? $pages = $this->paging($this->count, $this->page, $this->per_page, 7, 3); ?>

			<? if (1 < $this->page): ?>
				<a href="#" class="prev" onclick="return Cubix.BlogHash.SetFilter({page: [<?= $this->page - 1 ?>]});"><?= $this->t('previous') ?></a>
			<? endif ?>

			<? foreach ($pages as $page): ?>
				<? if ($this->page == $page): ?>
					<span class="active"><?= $page ?></span>
				<? else: ?>
					<a href="#" onclick="return Cubix.BlogHash.SetFilter({page: [<?= $page ?>]});"><?= $page ?></a>
				<? endif ?>
			<? endforeach ?>

			<? if ($pages_count > $this->page): ?>
				<a href="#" class="next" onclick="return Cubix.BlogHash.SetFilter({page: [<?= $this->page + 1 ?>]});"><?= $this->t('next') ?></a>
			<? endif ?>
		</div>
	<? endif; ?>
<? else: ?>
	<div class="no-posts"><?= __('no_posts_in_month', array('month' => $this->getMonth($this->month, $this->lang(), TRUE), 'year' => $this->year)) ?></div>

	<? if ($this->data_old): ?>
		<div id="posts">
			<? foreach ($this->data_old as $data_old): ?>
				<div class="post" style="margin-right: 0;">
					<div class="fleft">
						<div class="title-wrap">
							<a href="<?= $this->getLink('blog-post', array('slug' => $data_old->slug, 'id' => $data_old->id)) ?>" class="title"><?= $data_old->title ? $data_old->title : $data_old->title_en ?></a>
							<div>
								<?= __('posted_on') ?> <?= $this->getMonth(date('n', $data_old->date), $this->lang(), TRUE) ?> <?= date('d, Y', $data_old->date) ?>	- <?= date('H:i', $data_old->date) ?>
							</div>
						</div>

						<div class="text"><?= $data_old->short_post ? $data_old->short_post : $data_old->short_post_en ?></div>
					</div>
					<div class="image">
						<img src="<?= $data_old->photo->getUrl('blog') ?>" width="199" height="234" />
					</div>

					<div class="banner">
						<a href="/">
							<img src="<?= _st('banners/ei_' . $i . '.gif') ?>" />
						</a>
					</div>

					<? $i++; if ($i == 4) $i = 1; ?>

					<div class="clear"></div>
					<div class="show-more-wrap">
						<a href="<?= $this->getLink('blog-post', array('slug' => $data_old->slug, 'id' => $data_old->id)) ?>" class="show-more"><?= __('read_more') ?></a>
					</div>
					<div class="clear"></div>
				</div>
			<? endforeach; ?>
		</div>
	<? endif; ?>
<? endif; ?>